%define major   1
%define libname %mklibname adwaita-qt5_ %{major}
%define devname %mklibname adwaita-qt5 -d

%define libname6 %mklibname adwaita-qt6_ %{major}
%define devname6 %mklibname adwaita-qt6 -d

Name:           adwaita-qt
Version:        1.4.2
Release:        %mkrel 2
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications
Group:          Graphical desktop/KDE

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
# Qt5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
#Qt6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	qtbase6-qtpaths

%description
Theme to let Qt applications fit nicely into a GTK+ desktop environment.

%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
Group:          Graphical desktop/KDE
Requires:       qtbase5-common
Provides:	adwaita-qt = %{version}-%{release}
Obsoletes:	adwaita-qt < 1.4.1-3

%description -n adwaita-qt5
Theme to let Qt5 applications fit nicely into a GTK+ desktop environment.

%package -n %{libname}
Summary:        Adwaita Qt5 library
Group:          Graphical desktop/KDE

%description -n %{libname}
Adwaita Qt5 library.

%package -n %{devname}
Summary:        Development files for libadwaita-qt5
Group:          Graphical desktop/KDE
Requires:       %{libname} = %{version}-%{release}
Provides:       adwaita-qt5-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use libadwaita-qt5.

# Qt6
%package -n adwaita-qt6
Summary:        Adwaita Qt6 theme
Group:          Graphical desktop/KDE
Requires:	qtbase6-common

%description -n adwaita-qt6
Theme to let Qt6 applications fit nicely into a GTK+ desktop environment.

%package -n %{libname6}
Summary:        Adwaita Qt6 library
Group:          Graphical desktop/KDE

%description -n %{libname6}
Adwaita Qt6 library.

%package -n %{devname6}
Summary:        Development files for libadwaita-qt6
Group:          Graphical desktop/KDE
Requires:	%{libname6} = %{version}-%{release}
Provides:	adwaita-qt6-devel = %{version}-%{release}
Provides:	libadwaita-qt6-devel = %{version}-%{release}

%description -n %{devname6}
This package contains libraries and header files for developing applications
that use libadwaita-qt6.

%prep
%autosetup -p1

%build
%define _vpath_builddir %{_target_platform}-qt5
%cmake -D-DQT_PLUGINS_DIR=%{_qt5_plugindir}
%cmake_build

%define _vpath_builddir %{_target_platform}-qt6
%cmake -DUSE_QT6=ON
%cmake_build

%install
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install

%define _vpath_builddir %{_target_platform}-qt6
%cmake_install

# drop .pc file to fix devel pkg reqs
rm -rf %{buildroot}%{_libdir}/pkgconfig/adwaita-qt6.pc

%files -n adwaita-qt5
%doc LICENSE.LGPL2 README.md
%{_qt5_plugindir}/styles/adwaita.so

%files -n %{libname}
%{_libdir}/libadwaitaqt.so.%{major}{,.*}
%{_libdir}/libadwaitaqtpriv.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/AdwaitaQt/
%{_libdir}/cmake/AdwaitaQt/
%{_libdir}/pkgconfig/adwaita-qt.pc
%{_libdir}/libadwaitaqt.so
%{_libdir}/libadwaitaqtpriv.so

%files -n adwaita-qt6
%doc LICENSE.LGPL2 README.md
%{_qt6_plugindir}/styles/adwaita.so

%files -n %{libname6}
%{_libdir}/libadwaitaqt6.so.%{major}{,.*}
%{_libdir}/libadwaitaqt6priv.so.%{major}{,.*}

%files -n %{devname6}
%{_includedir}/AdwaitaQt6/
%{_libdir}/cmake/AdwaitaQt6/
%{_libdir}/libadwaitaqt6.so
%{_libdir}/libadwaitaqt6priv.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.4.2-2.mga10
+ Revision: 2216472
- Mageia 10 Mass Rebuild

* Sun Nov 20 2022 daviddavid <daviddavid> 1.4.2-1.mga9
+ Revision: 1909595
- new version: 1.4.2

* Sat May 21 2022 wally <wally> 1.4.1-5.mga9
+ Revision: 1859698
- fix qt6 devel pkg requires

* Sat May 21 2022 wally <wally> 1.4.1-4.mga9
+ Revision: 1859694
- remove adwaita-qt6.pc from qt6 devel pkg

* Sat May 21 2022 wally <wally> 1.4.1-3.mga9
+ Revision: 1859692
- add Qt6 support
- drop empty adwaita-qt pkg

* Mon Apr 04 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1844058
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 1.4.1-1.mga9
+ Revision: 1768281
- version 1.4.1

* Tue Mar 30 2021 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1712016
- new version: 1.2.1

* Tue Dec 22 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1662851
- new version: 1.2.0
- drop Qt4 support (removed upstream)
- add new lib and devel sub-pkgs

* Tue Jun 02 2020 daviddavid <daviddavid> 1.1.4-1.mga8
+ Revision: 1589631
- new version: 1.1.4

* Thu May 28 2020 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1588312
- new version: 1.1.3

* Tue May 12 2020 daviddavid <daviddavid> 1.1.2-1.mga8
+ Revision: 1583259
- new version: 1.1.2

* Sun May 10 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1582692
- new version: 1.1.1

* Sat Feb 15 2020 daviddavid <daviddavid> 1.0-3.mga8
+ Revision: 1525880
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1381207
- Qt5 Rebuild

* Tue Jan 01 2019 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1348296
- new version: 1.0

* Sun Sep 23 2018 umeabot <umeabot> 0.4-4.mga7
+ Revision: 1297290
- Mageia 7 Mass Rebuild

* Thu Dec 01 2016 neoclust <neoclust> 0.4-3.mga6
+ Revision: 1071385
- Adapt Requires

* Wed Nov 30 2016 neoclust <neoclust> 0.4-2.mga6
+ Revision: 1071110
- Fix Description

* Wed Nov 30 2016 tv <tv> 0.4-1.mga6
+ Revision: 1071105
- imported package adwaita-qt


* Tue Nov 29 2016 Thierry Vignaud <tv@mageia.org> 0.4-1.mga6
- import from FC

* Thu Jun 30 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-3
- Properly fix missing menubar in QtCreator

* Wed Jun 22 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-2
- Attempt to fix missing menubar issue in QtCreator

* Thu Apr 21 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-1
- Update to version 0.4

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 20 2015 Martin Briza <mbriza@redhat.com> - 0.3-1
- Updated to the latest release
- Added a Qt5 build

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20141216git024b00bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0-0.6.20141216git024b00bf
- Rebuilt for GCC 5 C++11 ABI change

* Fri Jan 16 2015 Martin Briza <mbriza@redhat.com> - 0-0.5
- Package review cleanup
- Split into a base and a subpackage
- Fedora import

* Tue Dec 16 2014 Martin Briza <mbriza@redhat.com> - 0-0.4.copr
- Update to latest commit

* Fri Dec 05 2014 Martin Briza <mbriza@redhat.com> - 0-0.3.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.2.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.1.copr
- Initial build
